app/banks/urls.py
from django.urls import path

from banks.views import BankList, BankCreate

app_name = 'bnk'

urlpatterns = [
    path('list/', BankList.as_view(), name='list'),
    path('create/', BankCreate.as_view(), name='create'),
]

app/clients/urls.py
from django.urls import path

from clients.views import ClientList, ClientCreate, ClientDetail, ClientUpdate, ClientDelete

app_name = 'cli'

urlpatterns = [
    path('list/', ClientList.as_view(), name='list'),
    path('create/', ClientCreate.as_view(), name='create'),
    path('detail/<int:pk>', ClientDetail.as_view(), name='detail'),
    path('update/<int:pk>', ClientUpdate.as_view(), name='update'),
    path('delete/<int:pk>', ClientDelete.as_view(), name='delete'),

]

app/credits/urls.py
from django.urls import path

from credits.views import CreditList, CreditCreate

app_name = 'cre'

urlpatterns = [
    path('list/', CreditList.as_view(), name='list'),
    path('create/', CreditCreate.as_view(), name='create'),
]

app/home/urls.py
from django.urls import path

from . import views

urlpatterns = [
    path('', views.home, name='home'),
]

app/tu_credito/urls.py
from django.contrib import admin
from django.urls import path, include


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('home.urls')),
    path('banks/', include('banks.urls')),
    path('clients/', include('clients.urls')),
    path('credits/', include('credits.urls')),
]

app/credits/models.py
from django.db import models

from clients.models import Client
from banks.models import Bank
# Create your models here.


class Credit(models.Model):
    """
    Credit model
    """

    class CreditType(models.TextChoices):
        """
        Choices for credit_type field
        """
        AUT = "AUT", "AUTOMOTRIZ"
        HIP = "HIP", "HIPOTECARIO"
        COM = "COM", "COMERCIAL"

    client = models.ForeignKey(
        Client, on_delete=models.PROTECT,
        verbose_name="Cliente",
        help_text="Cliente del credito"
    )
    description = models.TextField(
        null=False, blank=False,
        verbose_name="Descripción",
        help_text="Descripción del crédito"
    )
    minimum_payment = models.DecimalField(
        null=False, blank=False,
        max_digits=20,
        decimal_places=2,
        verbose_name="Pago mínimo",
        help_text="Pago mínimo del crédito"
    )
    maximum_payment = models.DecimalField(
        null=False, blank=False,
        max_digits=20,
        decimal_places=2,
        verbose_name="Pago máximo",
        help_text="Pago máximo del crédito"
    )
    term_months = models.PositiveIntegerField(
        null=False, blank=False,
        verbose_name="Plazo en meses",
        help_text="Plazo en meses del crédito"
    )
    register_date = models.DateField(
        null=False, blank=False, auto_now_add=True,
        verbose_name="Fecha de registro",
        help_text="Fecha de registro del crédito"
    )
    bank = models.ForeignKey(
        Bank, on_delete=models.PROTECT,
        verbose_name="Banco",
        help_text="Banco que otorga el crédito"
    )
    credit_type = models.CharField(
        null=True, blank=True,
        max_length=3,
        choices=CreditType.choices,
        verbose_name="Tipo",
        help_text="Tipo de crédito"
    )

    class Meta:
        ordering = ['id']

    def get_credit_type_value(self):
        return self.CreditType(self.credit_type).label

    def __str__(self):
        return f" {self.client.name} | {self.credit_type.name}"

app/credits/views.py

from django.contrib.messages.views import SuccessMessageMixin
from django.urls import reverse
from django.views.generic import ListView
from django.views.generic.edit import CreateView

from credits.models import Credit


# Create your views here.

class CreditList(ListView):
    """
    View for list Credit
    """
    model = Credit
    template_name = 'credits/list.html'


class CreditCreate(SuccessMessageMixin, CreateView):
    """
    View for create Credits
    """
    model = Credit
    form = Credit
    fields = "__all__"
    template_name = 'credits/create.html'
    success_message = 'Crédito creado exitosamente!!!'

    # Redirection after save
    def get_success_url(self):
        return reverse('cre:list')

app/credits/templates/credits/create.html
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Tú Crédito</title>
        {% load bootstrap4 %}
        {% bootstrap_css %}
        {% load widget_tweaks %}
        {% load static %}
    </head>
    <body>
        <header>
            <!-- Navigation menu -->
            <div class="container">
                <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarNav">
                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'home' %}">Inicio </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'bnk:list' %}">Bancos</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'cli:list' %}">Clientes</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link active" href="{% url 'cre:list' %}">Créditos  <span class="sr-only">(current)</span></a>
                            </li>
                        </ul>
                    </div>
                </nav>
            </div>
        </header>
        <!-- Form create credit -->
        <div class="container mt-5">
            <form method="post" enctype="multipart/form-data" class="border rounded p-3">
                {% csrf_token %}
                <div class="row">
                    <!-- Field client -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Cliente:</label>
                            {{ form.client|add_class:"form-control" |add_required_class:"is-required" }}
                        </div>
                    </div>
                    <!-- Field credit type -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Tipo de crédito:</label>
                            {{ form.credit_type|add_class:"form-control" }}
                        </div>
                    </div>
                </div>
                <div class="row">
                    <!-- Field minimum payment -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Pago mínimo:</label>
                            {{ form.minimum_payment|add_class:"form-control" }}
                        </div>
                    </div>
                    <!-- Field maximun payment -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Pago máximo:</label>
                            {{ form.maximum_payment|add_class:"form-control" }}
                        </div>
                    </div>
                </div>
                <div class="row">
                    <!-- Field term months -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Plazo del crédito en meses:</label>
                            {{ form.term_months|add_class:"form-control" }}
                        </div>
                    </div>
                    <!-- Field bank -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Banco:</label>
                            {{ form.bank|add_class:"form-control" }}
                        </div>
                    </div>
                </div>
                <div class="row">
                    <!-- Field description -->
                    <div class="col">
                        <div class="form-group">
                            <label class="font-weight-bold">Descripción:</label>
                            {{ form.description|add_class:"form-control" |attr:"rows:3" }}
                        </div>
                    </div>
                </div>
                <!-- Save button -->
                <button type="submit" class="btn btn-success">Aceptar</button>
                <!-- Cancel button -->
                <a href="{% url 'cre:list' %}"  type="submit" class="btn btn-danger">Cancelar</a>
            </form>
        </div>

        {% bootstrap_javascript jquery='full' %}
    </body>
</html>

app/credits/templates/credits/list.html
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Tú Crédito</title>
        {% load bootstrap4 %}
        {% bootstrap_css %}
        {% load static %}
    </head>
    <body>
        <header>
            <!-- Navigation menu -->
            <div class="container">
                <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarNav">
                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'home' %}">Inicio </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'bnk:list' %}">Bancos </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'cli:list' %}">Clientes</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link active" href="{% url 'cre:list' %}">Créditos <span class="sr-only">(current)</span></a>
                            </li>
                        </ul>
                    </div>
                </nav>
            </div>
        </header>
        <div class="container mt-3">
            <div class="row">
                <!-- Messages -->
                <div class="col-lg-4">
                    {% if messages %}
                        <ul class="messages list-group mb-3">
                            {% for message in messages %}
                                <li {% if message.tags %} class="{{ message.tags }} list-group-item list-group-item-success text-center" {% endif %}>
                                    {{ message }}
                                </li>
                            {% endfor %}
                        </ul>
                    {% endif %}
                </div>
                <!-- Create button -->
                <div class="col-lg-8">
                    <div class="btn_crear">
                        <a href="{% url 'cre:create' %}" type="button" class="btn btn-primary float-right mb-3">Crear</a>
                    </div>
                </div>
            </div>
            <!-- List of Credits -->
            <table class="table table-striped table-hover">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Cliente</th>
                        <th>Descripción</th>
                        <th>Pago mínimo</th>
                        <th>Pago máximo</th>
                        <th>Plazo</th>
                        <th>Registro</th>
                        <th>Banco</th>
                        <th>Tipo</th>
                    </tr>
                </thead>
                <tbody>
                    {% for credit in object_list %}
                    <tr>
                        <td>{{ forloop.counter }}</td>
                        <td>{{ credit.client }}</td>
                        <td>{{ credit.description }}</td>
                        <td>{{ credit.minimum_payment }}</td>
                        <td>{{ credit.maximum_payment }}</td>
                        <td>{{ credit.term_months }} meses</td>
                        <td>{{ credit.register_date |date:"M d, Y" }}</td>
                        <td>{{ credit.bank }}</td>
                        <td>{{ credit.get_credit_type_value }}</td>
                    </tr>
                  {% endfor %}
                  </tbody>
            </table>
        </div>

        {% bootstrap_javascript jquery='full' %}
    </body>
</html>